Skip to content

ETF Country

Request

Get country allocation for an ETF.

Request body:

ParameterValueDescription
symbol"ISDE.L"ETF symbol
Headers
clientIdstringrequired

B2B UAT client ID. Sent as a request header (not Redocly Auth).

Default:"AX6kFk5ywERyXobt"
Example:AX6kFk5ywERyXobt
timestring^\d{14}$required

UTC timestamp yyyyMMddHHmmss used to compute token.

Default:"20260831110225"
Example:20260831110225
tokenstringrequired

Base64(SHA512(secretKey + time + jsonBody)). Must match this operation's request body.

Default:"hNZnIXl7XqPvRVN9r1LlLUUQxd7bBhyPN6cwwHR9hTbD1MPcJfaO6s5IujFi0ykL4yqFFiI+ESd3JIm6+OBdtQ=="
Example:hNZnIXl7XqPvRVN9r1LlLUUQxd7bBhyPN6cwwHR9hTbD1MPcJfaO6s5IujFi0ykL4yqFFiI+ESd3JIm6+OBdtQ==
Bodyapplication/jsonrequired
symbolstringrequired

ETF symbol

curl --location 'https://b2b.musaffa.us/b2b/api/demo/musaffa/etf/country' \
--header 'Content-Type: application/json' \
--header 'clientId: AX6kFk5ywERyXobt' \
--header 'time: 20260831110225' \
--header 'token: hNZnIXl7XqPvRVN9r1LlLUUQxd7bBhyPN6cwwHR9hTbD1MPcJfaO6s5IujFi0ykL4yqFFiI+ESd3JIm6+OBdtQ==' \
--data '{
    "symbol":"ISDE.L"
}'

Responses

Dynamic country breakdown for the requested ETF

Bodyapplication/json
Array [
countrystring
weightnumber
percentagenumber
]
Response
[ { "country": "string", "weight": 0, "percentage": 0 } ]